ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.51 by root, Wed Feb 16 20:32:05 2005 UTC vs.
Revision 1.63 by root, Wed Jan 4 05:24:55 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
904 --enable-slipwheeling enable slip wheel scrolling (requires previous) 905 --enable-slipwheeling enable slip wheel scrolling (requires previous)
905 --enable-dmalloc enable Gray Watson's malloc - for debugging use 906 --enable-dmalloc enable Gray Watson's malloc - for debugging use
906 --enable-dlmalloc enable Doug Lea's malloc - for production use 907 --enable-dlmalloc enable Doug Lea's malloc - for production use
907 NOTE: enable only one malloc package 908 NOTE: enable only one malloc package
908 --enable-smart-resize enable smart growth/shrink behaviour 909 --enable-smart-resize enable smart growth/shrink behaviour
909 --enable-cursor-blink enable blinking cursor
910 --enable-text-blink enable blinking text 910 --enable-text-blink enable blinking text
911 --enable-pointer-blank enable pointer blank when typing or inactive pointer 911 --enable-pointer-blank enable pointer blank when typing or inactive pointer
912 912
913Optional Packages: 913Optional Packages:
914 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 914 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
3613 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3613 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3614 3614
3615fi 3615fi
3616 3616
3617 3617
3618echo "$as_me:$LINENO: checking for setlocale" >&5
3619echo $ECHO_N "checking for setlocale... $ECHO_C" >&6
3620if test "${ac_cv_func_setlocale+set}" = set; then
3621 echo $ECHO_N "(cached) $ECHO_C" >&6
3622else
3623 cat >conftest.$ac_ext <<_ACEOF
3624/* confdefs.h. */
3625_ACEOF
3626cat confdefs.h >>conftest.$ac_ext
3627cat >>conftest.$ac_ext <<_ACEOF
3628/* end confdefs.h. */
3629/* Define setlocale to an innocuous variant, in case <limits.h> declares setlocale.
3630 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3631#define setlocale innocuous_setlocale
3632
3633/* System header to define __stub macros and hopefully few prototypes,
3634 which can conflict with char setlocale (); below.
3635 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3636 <limits.h> exists even on freestanding compilers. */
3637
3638#ifdef __STDC__
3639# include <limits.h>
3640#else
3641# include <assert.h>
3642#endif
3643
3644#undef setlocale
3645
3646/* Override any gcc2 internal prototype to avoid an error. */
3647#ifdef __cplusplus
3648extern "C"
3649{
3650#endif
3651/* We use char because int might match the return type of a gcc2
3652 builtin and then its argument prototype would still apply. */
3653char setlocale ();
3654/* The GNU C library defines this for functions which it implements
3655 to always fail with ENOSYS. Some functions are actually named
3656 something starting with __ and the normal name is an alias. */
3657#if defined (__stub_setlocale) || defined (__stub___setlocale)
3658choke me
3659#else
3660char (*f) () = setlocale;
3661#endif
3662#ifdef __cplusplus
3663}
3664#endif
3665
3666int
3667main ()
3668{
3669return f != setlocale;
3670 ;
3671 return 0;
3672}
3673_ACEOF
3674rm -f conftest.$ac_objext conftest$ac_exeext
3675if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3676 (eval $ac_link) 2>conftest.er1
3677 ac_status=$?
3678 grep -v '^ *+' conftest.er1 >conftest.err
3679 rm -f conftest.er1
3680 cat conftest.err >&5
3681 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3682 (exit $ac_status); } &&
3683 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3684 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3685 (eval $ac_try) 2>&5
3686 ac_status=$?
3687 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3688 (exit $ac_status); }; } &&
3689 { ac_try='test -s conftest$ac_exeext'
3690 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3691 (eval $ac_try) 2>&5
3692 ac_status=$?
3693 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3694 (exit $ac_status); }; }; then
3695 ac_cv_func_setlocale=yes
3696else
3697 echo "$as_me: failed program was:" >&5
3698sed 's/^/| /' conftest.$ac_ext >&5
3699
3700ac_cv_func_setlocale=no
3701fi
3702rm -f conftest.err conftest.$ac_objext \
3703 conftest$ac_exeext conftest.$ac_ext
3704fi
3705echo "$as_me:$LINENO: result: $ac_cv_func_setlocale" >&5
3706echo "${ECHO_T}$ac_cv_func_setlocale" >&6
3707if test $ac_cv_func_setlocale = yes; then
3708 :
3709else
3618echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5 3710 echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5
3619echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6 3711echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6
3620if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then 3712if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then
3621 echo $ECHO_N "(cached) $ECHO_C" >&6 3713 echo $ECHO_N "(cached) $ECHO_C" >&6
3622else 3714else
3623 ac_check_lib_save_LIBS=$LIBS 3715 ac_check_lib_save_LIBS=$LIBS
3680echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6 3772echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6
3681if test $ac_cv_lib_xpg4_setlocale = yes; then 3773if test $ac_cv_lib_xpg4_setlocale = yes; then
3682 LIBS="$LIBS -lxpg4" 3774 LIBS="$LIBS -lxpg4"
3683fi 3775fi
3684 3776
3777fi
3685 3778
3779
3780echo "$as_me:$LINENO: checking for gethostbyname" >&5
3781echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
3782if test "${ac_cv_func_gethostbyname+set}" = set; then
3783 echo $ECHO_N "(cached) $ECHO_C" >&6
3784else
3785 cat >conftest.$ac_ext <<_ACEOF
3786/* confdefs.h. */
3787_ACEOF
3788cat confdefs.h >>conftest.$ac_ext
3789cat >>conftest.$ac_ext <<_ACEOF
3790/* end confdefs.h. */
3791/* Define gethostbyname to an innocuous variant, in case <limits.h> declares gethostbyname.
3792 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3793#define gethostbyname innocuous_gethostbyname
3794
3795/* System header to define __stub macros and hopefully few prototypes,
3796 which can conflict with char gethostbyname (); below.
3797 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3798 <limits.h> exists even on freestanding compilers. */
3799
3800#ifdef __STDC__
3801# include <limits.h>
3802#else
3803# include <assert.h>
3804#endif
3805
3806#undef gethostbyname
3807
3808/* Override any gcc2 internal prototype to avoid an error. */
3809#ifdef __cplusplus
3810extern "C"
3811{
3812#endif
3813/* We use char because int might match the return type of a gcc2
3814 builtin and then its argument prototype would still apply. */
3815char gethostbyname ();
3816/* The GNU C library defines this for functions which it implements
3817 to always fail with ENOSYS. Some functions are actually named
3818 something starting with __ and the normal name is an alias. */
3819#if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
3820choke me
3821#else
3822char (*f) () = gethostbyname;
3823#endif
3824#ifdef __cplusplus
3825}
3826#endif
3827
3828int
3829main ()
3830{
3831return f != gethostbyname;
3832 ;
3833 return 0;
3834}
3835_ACEOF
3836rm -f conftest.$ac_objext conftest$ac_exeext
3837if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3838 (eval $ac_link) 2>conftest.er1
3839 ac_status=$?
3840 grep -v '^ *+' conftest.er1 >conftest.err
3841 rm -f conftest.er1
3842 cat conftest.err >&5
3843 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3844 (exit $ac_status); } &&
3845 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3846 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3847 (eval $ac_try) 2>&5
3848 ac_status=$?
3849 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3850 (exit $ac_status); }; } &&
3851 { ac_try='test -s conftest$ac_exeext'
3852 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3853 (eval $ac_try) 2>&5
3854 ac_status=$?
3855 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3856 (exit $ac_status); }; }; then
3857 ac_cv_func_gethostbyname=yes
3858else
3859 echo "$as_me: failed program was:" >&5
3860sed 's/^/| /' conftest.$ac_ext >&5
3861
3862ac_cv_func_gethostbyname=no
3863fi
3864rm -f conftest.err conftest.$ac_objext \
3865 conftest$ac_exeext conftest.$ac_ext
3866fi
3867echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
3868echo "${ECHO_T}$ac_cv_func_gethostbyname" >&6
3869if test $ac_cv_func_gethostbyname = yes; then
3870 :
3871else
3686echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5 3872 echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
3687echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6 3873echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
3688if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then 3874if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
3689 echo $ECHO_N "(cached) $ECHO_C" >&6 3875 echo $ECHO_N "(cached) $ECHO_C" >&6
3690else 3876else
3691 ac_check_lib_save_LIBS=$LIBS 3877 ac_check_lib_save_LIBS=$LIBS
3748echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6 3934echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
3749if test $ac_cv_lib_nsl_gethostbyname = yes; then 3935if test $ac_cv_lib_nsl_gethostbyname = yes; then
3750 LIBS="$LIBS -lnsl" 3936 LIBS="$LIBS -lnsl"
3751fi 3937fi
3752 3938
3939fi
3940
3941echo "$as_me:$LINENO: checking for socket" >&5
3942echo $ECHO_N "checking for socket... $ECHO_C" >&6
3943if test "${ac_cv_func_socket+set}" = set; then
3944 echo $ECHO_N "(cached) $ECHO_C" >&6
3945else
3946 cat >conftest.$ac_ext <<_ACEOF
3947/* confdefs.h. */
3948_ACEOF
3949cat confdefs.h >>conftest.$ac_ext
3950cat >>conftest.$ac_ext <<_ACEOF
3951/* end confdefs.h. */
3952/* Define socket to an innocuous variant, in case <limits.h> declares socket.
3953 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3954#define socket innocuous_socket
3955
3956/* System header to define __stub macros and hopefully few prototypes,
3957 which can conflict with char socket (); below.
3958 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3959 <limits.h> exists even on freestanding compilers. */
3960
3961#ifdef __STDC__
3962# include <limits.h>
3963#else
3964# include <assert.h>
3965#endif
3966
3967#undef socket
3968
3969/* Override any gcc2 internal prototype to avoid an error. */
3970#ifdef __cplusplus
3971extern "C"
3972{
3973#endif
3974/* We use char because int might match the return type of a gcc2
3975 builtin and then its argument prototype would still apply. */
3976char socket ();
3977/* The GNU C library defines this for functions which it implements
3978 to always fail with ENOSYS. Some functions are actually named
3979 something starting with __ and the normal name is an alias. */
3980#if defined (__stub_socket) || defined (__stub___socket)
3981choke me
3982#else
3983char (*f) () = socket;
3984#endif
3985#ifdef __cplusplus
3986}
3987#endif
3988
3989int
3990main ()
3991{
3992return f != socket;
3993 ;
3994 return 0;
3995}
3996_ACEOF
3997rm -f conftest.$ac_objext conftest$ac_exeext
3998if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3999 (eval $ac_link) 2>conftest.er1
4000 ac_status=$?
4001 grep -v '^ *+' conftest.er1 >conftest.err
4002 rm -f conftest.er1
4003 cat conftest.err >&5
4004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4005 (exit $ac_status); } &&
4006 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4007 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4008 (eval $ac_try) 2>&5
4009 ac_status=$?
4010 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4011 (exit $ac_status); }; } &&
4012 { ac_try='test -s conftest$ac_exeext'
4013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4014 (eval $ac_try) 2>&5
4015 ac_status=$?
4016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4017 (exit $ac_status); }; }; then
4018 ac_cv_func_socket=yes
4019else
4020 echo "$as_me: failed program was:" >&5
4021sed 's/^/| /' conftest.$ac_ext >&5
4022
4023ac_cv_func_socket=no
4024fi
4025rm -f conftest.err conftest.$ac_objext \
4026 conftest$ac_exeext conftest.$ac_ext
4027fi
4028echo "$as_me:$LINENO: result: $ac_cv_func_socket" >&5
4029echo "${ECHO_T}$ac_cv_func_socket" >&6
4030if test $ac_cv_func_socket = yes; then
4031 :
4032else
3753echo "$as_me:$LINENO: checking for socket in -lsocket" >&5 4033 echo "$as_me:$LINENO: checking for socket in -lsocket" >&5
3754echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6 4034echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6
3755if test "${ac_cv_lib_socket_socket+set}" = set; then 4035if test "${ac_cv_lib_socket_socket+set}" = set; then
3756 echo $ECHO_N "(cached) $ECHO_C" >&6 4036 echo $ECHO_N "(cached) $ECHO_C" >&6
3757else 4037else
3758 ac_check_lib_save_LIBS=$LIBS 4038 ac_check_lib_save_LIBS=$LIBS
3815echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6 4095echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6
3816if test $ac_cv_lib_socket_socket = yes; then 4096if test $ac_cv_lib_socket_socket = yes; then
3817 LIBS="$LIBS -lsocket" 4097 LIBS="$LIBS -lsocket"
3818fi 4098fi
3819 4099
4100fi
4101
4102
4103echo "$as_me:$LINENO: checking for sched_yield" >&5
4104echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4105if test "${ac_cv_func_sched_yield+set}" = set; then
4106 echo $ECHO_N "(cached) $ECHO_C" >&6
4107else
4108 cat >conftest.$ac_ext <<_ACEOF
4109/* confdefs.h. */
4110_ACEOF
4111cat confdefs.h >>conftest.$ac_ext
4112cat >>conftest.$ac_ext <<_ACEOF
4113/* end confdefs.h. */
4114/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4115 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4116#define sched_yield innocuous_sched_yield
4117
4118/* System header to define __stub macros and hopefully few prototypes,
4119 which can conflict with char sched_yield (); below.
4120 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4121 <limits.h> exists even on freestanding compilers. */
4122
4123#ifdef __STDC__
4124# include <limits.h>
4125#else
4126# include <assert.h>
4127#endif
4128
4129#undef sched_yield
4130
4131/* Override any gcc2 internal prototype to avoid an error. */
4132#ifdef __cplusplus
4133extern "C"
4134{
4135#endif
4136/* We use char because int might match the return type of a gcc2
4137 builtin and then its argument prototype would still apply. */
4138char sched_yield ();
4139/* The GNU C library defines this for functions which it implements
4140 to always fail with ENOSYS. Some functions are actually named
4141 something starting with __ and the normal name is an alias. */
4142#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4143choke me
4144#else
4145char (*f) () = sched_yield;
4146#endif
4147#ifdef __cplusplus
4148}
4149#endif
4150
4151int
4152main ()
4153{
4154return f != sched_yield;
4155 ;
4156 return 0;
4157}
4158_ACEOF
4159rm -f conftest.$ac_objext conftest$ac_exeext
4160if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4161 (eval $ac_link) 2>conftest.er1
4162 ac_status=$?
4163 grep -v '^ *+' conftest.er1 >conftest.err
4164 rm -f conftest.er1
4165 cat conftest.err >&5
4166 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4167 (exit $ac_status); } &&
4168 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4169 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4170 (eval $ac_try) 2>&5
4171 ac_status=$?
4172 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4173 (exit $ac_status); }; } &&
4174 { ac_try='test -s conftest$ac_exeext'
4175 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4176 (eval $ac_try) 2>&5
4177 ac_status=$?
4178 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4179 (exit $ac_status); }; }; then
4180 ac_cv_func_sched_yield=yes
4181else
4182 echo "$as_me: failed program was:" >&5
4183sed 's/^/| /' conftest.$ac_ext >&5
4184
4185ac_cv_func_sched_yield=no
4186fi
4187rm -f conftest.err conftest.$ac_objext \
4188 conftest$ac_exeext conftest.$ac_ext
4189fi
4190echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4191echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4192if test $ac_cv_func_sched_yield = yes; then
4193 :
4194else
4195 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4196echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4197if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4198 echo $ECHO_N "(cached) $ECHO_C" >&6
4199else
4200 ac_check_lib_save_LIBS=$LIBS
4201LIBS="-lrt $LIBS"
4202cat >conftest.$ac_ext <<_ACEOF
4203/* confdefs.h. */
4204_ACEOF
4205cat confdefs.h >>conftest.$ac_ext
4206cat >>conftest.$ac_ext <<_ACEOF
4207/* end confdefs.h. */
4208
4209/* Override any gcc2 internal prototype to avoid an error. */
4210#ifdef __cplusplus
4211extern "C"
4212#endif
4213/* We use char because int might match the return type of a gcc2
4214 builtin and then its argument prototype would still apply. */
4215char sched_yield ();
4216int
4217main ()
4218{
4219sched_yield ();
4220 ;
4221 return 0;
4222}
4223_ACEOF
4224rm -f conftest.$ac_objext conftest$ac_exeext
4225if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4226 (eval $ac_link) 2>conftest.er1
4227 ac_status=$?
4228 grep -v '^ *+' conftest.er1 >conftest.err
4229 rm -f conftest.er1
4230 cat conftest.err >&5
4231 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4232 (exit $ac_status); } &&
4233 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4234 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4235 (eval $ac_try) 2>&5
4236 ac_status=$?
4237 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4238 (exit $ac_status); }; } &&
4239 { ac_try='test -s conftest$ac_exeext'
4240 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4241 (eval $ac_try) 2>&5
4242 ac_status=$?
4243 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4244 (exit $ac_status); }; }; then
4245 ac_cv_lib_rt_sched_yield=yes
4246else
4247 echo "$as_me: failed program was:" >&5
4248sed 's/^/| /' conftest.$ac_ext >&5
4249
4250ac_cv_lib_rt_sched_yield=no
4251fi
4252rm -f conftest.err conftest.$ac_objext \
4253 conftest$ac_exeext conftest.$ac_ext
4254LIBS=$ac_check_lib_save_LIBS
4255fi
4256echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4257echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4258if test $ac_cv_lib_rt_sched_yield = yes; then
4259 LIBS="$LIBS -lrt"
4260fi
4261
4262fi
4263
4264
4265echo "$as_me:$LINENO: checking for sched_yield support" >&5
4266echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4267cat >conftest.$ac_ext <<_ACEOF
4268/* confdefs.h. */
4269_ACEOF
4270cat confdefs.h >>conftest.$ac_ext
4271cat >>conftest.$ac_ext <<_ACEOF
4272/* end confdefs.h. */
4273#include <sched.h>
4274int
4275main ()
4276{
4277sched_yield ()
4278 ;
4279 return 0;
4280}
4281_ACEOF
4282rm -f conftest.$ac_objext conftest$ac_exeext
4283if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4284 (eval $ac_link) 2>conftest.er1
4285 ac_status=$?
4286 grep -v '^ *+' conftest.er1 >conftest.err
4287 rm -f conftest.er1
4288 cat conftest.err >&5
4289 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4290 (exit $ac_status); } &&
4291 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4292 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4293 (eval $ac_try) 2>&5
4294 ac_status=$?
4295 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4296 (exit $ac_status); }; } &&
4297 { ac_try='test -s conftest$ac_exeext'
4298 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4299 (eval $ac_try) 2>&5
4300 ac_status=$?
4301 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4302 (exit $ac_status); }; }; then
4303 echo "$as_me:$LINENO: result: yes" >&5
4304echo "${ECHO_T}yes" >&6
4305
4306cat >>confdefs.h <<\_ACEOF
4307#define HAVE_SCHED_YIELD 1
4308_ACEOF
4309
4310else
4311 echo "$as_me: failed program was:" >&5
4312sed 's/^/| /' conftest.$ac_ext >&5
4313
4314echo "$as_me:$LINENO: result: no" >&5
4315echo "${ECHO_T}no" >&6
4316fi
4317rm -f conftest.err conftest.$ac_objext \
4318 conftest$ac_exeext conftest.$ac_ext
3820 4319
3821 4320
3822MALLOC_TYPE=S 4321MALLOC_TYPE=S
4322
3823support_addstrings=no 4323support_addstrings=no
3824support_frills=no 4324support_frills=yes
3825support_inheritpixmap=no 4325support_inheritpixmap=yes
3826support_tinting=no 4326support_tinting=yes
3827support_fading=no 4327support_fading=yes
3828support_keepscrolling=no 4328support_keepscrolling=yes
3829support_selectionscrolling=no 4329support_selectionscrolling=yes
3830support_menubar=no 4330support_menubar=no
3831support_mousewheel=no 4331support_mousewheel=yes
3832support_mouseslipwheel=no 4332support_mouseslipwheel=yes
3833support_utmp=no 4333support_utmp=yes
3834support_wtmp=no 4334support_wtmp=yes
3835support_lastlog=no 4335support_lastlog=yes
3836support_cursor_blink=no
3837support_text_blink=no 4336support_text_blink=yes
3838support_pointer_blank=no 4337support_pointer_blank=yes
3839support_scroll_rxvt=no 4338support_scroll_rxvt=yes
3840support_scroll_next=no 4339support_scroll_next=yes
3841support_scroll_xterm=no 4340support_scroll_xterm=yes
3842support_scroll_plain=no 4341support_scroll_plain=yes
3843support_xim=no 4342support_xim=yes
3844support_xpm=no 4343support_xpm=yes
3845support_xft=no 4344support_xft=yes
3846support_unicode3=no 4345support_unicode3=no
3847support_combining=no 4346support_combining=yes
3848support_8bitctrls=no 4347support_8bitctrls=no
3849support_iso14755=no 4348support_iso14755=yes
3850support_styles=no 4349support_styles=yes
4350support_perl=yes
3851codesets= 4351codesets=all
3852 4352
3853 4353
3854if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
3855 4355
3856cat >>confdefs.h <<\_ACEOF 4356cat >>confdefs.h <<\_ACEOF
3862 4362
3863 4363
3864# Check whether --enable-everything or --disable-everything was given. 4364# Check whether --enable-everything or --disable-everything was given.
3865if test "${enable_everything+set}" = set; then 4365if test "${enable_everything+set}" = set; then
3866 enableval="$enable_everything" 4366 enableval="$enable_everything"
4367
4368 if test x$enableval = xno; then
4369 support_24bit=no
4370 support_frills=no
4371 support_inheritpixmap=no
4372 support_tinting=no
4373 support_fading=no
4374 support_keepscrolling=no
4375 support_selectionscrolling=no
4376 support_lastlog=no
4377 support_menubar=no
4378 support_mousewheel=no
4379 support_mouseslipwheel=no
4380 support_text_blink=no
4381 support_pointer_blank=no
4382 support_scroll_rxvt=no
4383 support_scroll_next=no
4384 support_scroll_xterm=no
4385 support_scroll_plain=no
4386 support_utmp=no
4387 support_wtmp=no
4388 support_xim=no
4389 support_xpm=no
4390 support_xft=no
4391 support_unicode3=no
4392 support_combining=no
4393 support_8bitctrls=no
4394 support_iso14755=no
4395 support_styles=no
4396 support_perl=no
4397 codesets=
4398 fi
3867 if test x$enableval = xyes; then 4399 if test x$enableval = xyes; then
3868 support_24bit=yes 4400 support_24bit=yes
3869 support_frills=yes 4401 support_frills=yes
3870 support_inheritpixmap=yes 4402 support_inheritpixmap=yes
3871 support_tinting=yes 4403 support_tinting=yes
3872 support_fading=yes 4404 support_fading=yes
3873 support_keepscrolling=yes 4405 support_keepscrolling=yes
3874 support_selectionscrolling=yes 4406 support_selectionscrolling=yes
3875 support_lastlog=yes 4407 support_lastlog=yes
3876 support_menubar=yes 4408 support_menubar=yes
3877 support_mousewheel=yes 4409 support_mousewheel=yes
3878 support_mouseslipwheel=yes 4410 support_mouseslipwheel=yes
3879 support_cursor_blink=yes
3880 support_text_blink=yes 4411 support_text_blink=yes
3881 support_pointer_blank=yes 4412 support_pointer_blank=yes
3882 support_scroll_rxvt=yes 4413 support_scroll_rxvt=yes
3883 support_scroll_next=yes 4414 support_scroll_next=yes
3884 support_scroll_xterm=yes 4415 support_scroll_xterm=yes
3885 support_scroll_plain=yes 4416 support_scroll_plain=yes
3886 support_utmp=yes 4417 support_utmp=yes
3887 support_wtmp=yes 4418 support_wtmp=yes
3888 support_xim=yes 4419 support_xim=yes
3889 support_xpm=yes 4420 support_xpm=yes
3890 support_xft=yes 4421 support_xft=yes
3891 support_unicode3=yes 4422 support_unicode3=yes
3892 support_combining=yes 4423 support_combining=yes
3893 #support_8bitctrls=yes 4424 #support_8bitctrls=yes
3894 support_iso14755=yes 4425 support_iso14755=yes
3895 support_styles=yes 4426 support_styles=yes
4427 support_perl=yes
3896 codesets=all 4428 codesets=all
3897 fi 4429 fi
4430
3898fi; 4431fi;
3899 4432
3900# Check whether --enable-unicode3 or --disable-unicode3 was given. 4433# Check whether --enable-unicode3 or --disable-unicode3 was given.
3901if test "${enable_unicode3+set}" = set; then 4434if test "${enable_unicode3+set}" = set; then
3902 enableval="$enable_unicode3" 4435 enableval="$enable_unicode3"
4012# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given. 4545# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given.
4013if test "${enable_xterm_scroll+set}" = set; then 4546if test "${enable_xterm_scroll+set}" = set; then
4014 enableval="$enable_xterm_scroll" 4547 enableval="$enable_xterm_scroll"
4015 if test x$enableval = xyes -o x$enableval = xno; then 4548 if test x$enableval = xyes -o x$enableval = xno; then
4016 support_scroll_xterm=$enableval 4549 support_scroll_xterm=$enableval
4550 fi
4551fi;
4552
4553# Check whether --enable-perl or --disable-perl was given.
4554if test "${enable_perl+set}" = set; then
4555 enableval="$enable_perl"
4556 if test x$enableval = xyes -o x$enableval = xno; then
4557 support_perl=$enableval
4017 fi 4558 fi
4018fi; 4559fi;
4019 4560
4020# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4561# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4021if test "${enable_plain_scroll+set}" = set; then 4562if test "${enable_plain_scroll+set}" = set; then
4286 4827
4287cat >>confdefs.h <<\_ACEOF 4828cat >>confdefs.h <<\_ACEOF
4288#define SMART_RESIZE 1 4829#define SMART_RESIZE 1
4289_ACEOF 4830_ACEOF
4290 4831
4291 fi
4292fi;
4293
4294# Check whether --enable-cursor-blink or --disable-cursor-blink was given.
4295if test "${enable_cursor_blink+set}" = set; then
4296 enableval="$enable_cursor_blink"
4297 if test x$enableval = xyes -o x$enableval = xno; then
4298 support_cursor_blink=$enableval
4299 fi 4832 fi
4300fi; 4833fi;
4301 4834
4302# Check whether --enable-text-blink or --disable-text-blink was given. 4835# Check whether --enable-text-blink or --disable-text-blink was given.
4303if test "${enable_text_blink+set}" = set; then 4836if test "${enable_text_blink+set}" = set; then
4813/* confdefs.h. */ 5346/* confdefs.h. */
4814_ACEOF 5347_ACEOF
4815cat confdefs.h >>conftest.$ac_ext 5348cat confdefs.h >>conftest.$ac_ext
4816cat >>conftest.$ac_ext <<_ACEOF 5349cat >>conftest.$ac_ext <<_ACEOF
4817/* end confdefs.h. */ 5350/* end confdefs.h. */
4818#include <X11/Intrinsic.h> 5351#include <X11/Xlib.h>
4819_ACEOF 5352_ACEOF
4820if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 5353if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4821 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 5354 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4822 ac_status=$? 5355 ac_status=$?
4823 grep -v '^ *+' conftest.er1 >conftest.err 5356 grep -v '^ *+' conftest.er1 >conftest.err
4840else 5373else
4841 echo "$as_me: failed program was:" >&5 5374 echo "$as_me: failed program was:" >&5
4842sed 's/^/| /' conftest.$ac_ext >&5 5375sed 's/^/| /' conftest.$ac_ext >&5
4843 5376
4844 for ac_dir in $ac_x_header_dirs; do 5377 for ac_dir in $ac_x_header_dirs; do
4845 if test -r "$ac_dir/X11/Intrinsic.h"; then 5378 if test -r "$ac_dir/X11/Xlib.h"; then
4846 ac_x_includes=$ac_dir 5379 ac_x_includes=$ac_dir
4847 break 5380 break
4848 fi 5381 fi
4849done 5382done
4850fi 5383fi
4854if test "$ac_x_libraries" = no; then 5387if test "$ac_x_libraries" = no; then
4855 # Check for the libraries. 5388 # Check for the libraries.
4856 # See if we find them without any special options. 5389 # See if we find them without any special options.
4857 # Don't add to $LIBS permanently. 5390 # Don't add to $LIBS permanently.
4858 ac_save_LIBS=$LIBS 5391 ac_save_LIBS=$LIBS
4859 LIBS="-lXt $LIBS" 5392 LIBS="-lX11 $LIBS"
4860 cat >conftest.$ac_ext <<_ACEOF 5393 cat >conftest.$ac_ext <<_ACEOF
4861/* confdefs.h. */ 5394/* confdefs.h. */
4862_ACEOF 5395_ACEOF
4863cat confdefs.h >>conftest.$ac_ext 5396cat confdefs.h >>conftest.$ac_ext
4864cat >>conftest.$ac_ext <<_ACEOF 5397cat >>conftest.$ac_ext <<_ACEOF
4865/* end confdefs.h. */ 5398/* end confdefs.h. */
4866#include <X11/Intrinsic.h> 5399#include <X11/Xlib.h>
4867int 5400int
4868main () 5401main ()
4869{ 5402{
4870XtMalloc (0) 5403XrmInitialize ()
4871 ; 5404 ;
4872 return 0; 5405 return 0;
4873} 5406}
4874_ACEOF 5407_ACEOF
4875rm -f conftest.$ac_objext conftest$ac_exeext 5408rm -f conftest.$ac_objext conftest$ac_exeext
4903LIBS=$ac_save_LIBS 5436LIBS=$ac_save_LIBS
4904for ac_dir in `echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g` 5437for ac_dir in `echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g`
4905do 5438do
4906 # Don't even attempt the hair of trying to link an X program! 5439 # Don't even attempt the hair of trying to link an X program!
4907 for ac_extension in a so sl; do 5440 for ac_extension in a so sl; do
4908 if test -r $ac_dir/libXt.$ac_extension; then 5441 if test -r $ac_dir/libX11.$ac_extension; then
4909 ac_x_libraries=$ac_dir 5442 ac_x_libraries=$ac_dir
4910 break 2 5443 break 2
4911 fi 5444 fi
4912 done 5445 done
4913done 5446done
9659 10192
9660 10193
9661 10194
9662 10195
9663 10196
10197
9664for ac_func in \ 10198for ac_func in \
9665 atexit \ 10199 atexit \
9666 revoke \ 10200 revoke \
9667 unsetenv \ 10201 unsetenv \
9668 setutent \ 10202 setutent \
9677 unlockpt \ 10211 unlockpt \
9678 isastream \ 10212 isastream \
9679 on_exit \ 10213 on_exit \
9680 nanosleep \ 10214 nanosleep \
9681 updwtmp \ 10215 updwtmp \
10216 updwtmpx \
9682 ttyslot \ 10217 ttyslot \
9683 10218
9684do 10219do
9685as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10220as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9686echo "$as_me:$LINENO: checking for $ac_func" >&5 10221echo "$as_me:$LINENO: checking for $ac_func" >&5
10366#define HAVE_UTMPX_HOST 1 10901#define HAVE_UTMPX_HOST 1
10367_ACEOF 10902_ACEOF
10368 10903
10369fi 10904fi
10370 10905
10371fi 10906echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
10907echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
10908if test "${rxvt_cv_struct_utmpx_session+set}" = set; then
10909 echo $ECHO_N "(cached) $ECHO_C" >&6
10910else
10911 cat >conftest.$ac_ext <<_ACEOF
10912/* confdefs.h. */
10913_ACEOF
10914cat confdefs.h >>conftest.$ac_ext
10915cat >>conftest.$ac_ext <<_ACEOF
10916/* end confdefs.h. */
10917#include <sys/types.h>
10918#include <utmpx.h>
10919int
10920main ()
10921{
10922struct utmpx utx; utx.ut_session;
10923 ;
10924 return 0;
10925}
10926_ACEOF
10927rm -f conftest.$ac_objext
10928if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10929 (eval $ac_compile) 2>conftest.er1
10930 ac_status=$?
10931 grep -v '^ *+' conftest.er1 >conftest.err
10932 rm -f conftest.er1
10933 cat conftest.err >&5
10934 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10935 (exit $ac_status); } &&
10936 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10937 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10938 (eval $ac_try) 2>&5
10939 ac_status=$?
10940 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10941 (exit $ac_status); }; } &&
10942 { ac_try='test -s conftest.$ac_objext'
10943 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10944 (eval $ac_try) 2>&5
10945 ac_status=$?
10946 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10947 (exit $ac_status); }; }; then
10948 rxvt_cv_struct_utmpx_session=yes
10949else
10950 echo "$as_me: failed program was:" >&5
10951sed 's/^/| /' conftest.$ac_ext >&5
10372 10952
10953rxvt_cv_struct_utmpx_session=no
10954fi
10955rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10956fi
10957echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5
10958echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6
10959if test x$rxvt_cv_struct_utmpx_session = xyes; then
10960
10961cat >>confdefs.h <<\_ACEOF
10962#define HAVE_UTMPX_SESSION 1
10963_ACEOF
10964
10965fi
10966
10967fi
10373 10968
10374 10969
10375echo "$as_me:$LINENO: checking for struct lastlog" >&5 10970echo "$as_me:$LINENO: checking for struct lastlog" >&5
10376echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6 10971echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
10377if test "${rxvt_cv_struct_lastlog+set}" = set; then 10972if test "${rxvt_cv_struct_lastlog+set}" = set; then
11254#define HAVE_NL_LANGINFO 1 11849#define HAVE_NL_LANGINFO 1
11255_ACEOF 11850_ACEOF
11256 11851
11257fi 11852fi
11258 11853
11854echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11855echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11856if test "${rxvt_can_pass_fds+set}" = set; then
11857 echo $ECHO_N "(cached) $ECHO_C" >&6
11858else
11859 cat >conftest.$ac_ext <<_ACEOF
11860/* confdefs.h. */
11861_ACEOF
11862cat confdefs.h >>conftest.$ac_ext
11863cat >>conftest.$ac_ext <<_ACEOF
11864/* end confdefs.h. */
11865
11866#include <sys/types.h>
11867#include <sys/socket.h>
11868
11869int
11870main ()
11871{
11872
11873{
11874 msghdr msg;
11875 iovec iov;
11876 char buf [100];
11877 char data = 0;
11878
11879 iov.iov_base = &data;
11880 iov.iov_len = 1;
11881
11882 msg.msg_iov = &iov;
11883 msg.msg_iovlen = 1;
11884 msg.msg_control = buf;
11885 msg.msg_controllen = sizeof buf;
11886
11887 cmsghdr *cmsg = CMSG_FIRSTHDR (&msg);
11888 cmsg->cmsg_level = SOL_SOCKET;
11889 cmsg->cmsg_type = SCM_RIGHTS;
11890 cmsg->cmsg_len = 100;
11891
11892 *(int *)CMSG_DATA (cmsg) = 5;
11893
11894 return sendmsg (3, &msg, 0);
11895}
11896
11897 ;
11898 return 0;
11899}
11900_ACEOF
11901rm -f conftest.$ac_objext conftest$ac_exeext
11902if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11903 (eval $ac_link) 2>conftest.er1
11904 ac_status=$?
11905 grep -v '^ *+' conftest.er1 >conftest.err
11906 rm -f conftest.er1
11907 cat conftest.err >&5
11908 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11909 (exit $ac_status); } &&
11910 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11911 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11912 (eval $ac_try) 2>&5
11913 ac_status=$?
11914 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11915 (exit $ac_status); }; } &&
11916 { ac_try='test -s conftest$ac_exeext'
11917 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11918 (eval $ac_try) 2>&5
11919 ac_status=$?
11920 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11921 (exit $ac_status); }; }; then
11922 rxvt_can_pass_fds=yes
11923else
11924 echo "$as_me: failed program was:" >&5
11925sed 's/^/| /' conftest.$ac_ext >&5
11926
11927rxvt_can_pass_fds=no
11928fi
11929rm -f conftest.err conftest.$ac_objext \
11930 conftest$ac_exeext conftest.$ac_ext
11931fi
11932echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5
11933echo "${ECHO_T}$rxvt_can_pass_fds" >&6
11934if test x$rxvt_can_pass_fds = xyes; then
11935
11936cat >>confdefs.h <<\_ACEOF
11937#define HAVE_UNIX_FDPASS 1
11938_ACEOF
11939
11940fi
11941
11259echo "$as_me:$LINENO: checking for broken XIM callback" >&5 11942echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11260echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 11943echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
11261if test "${rxvt_broken_ximcb+set}" = set; then 11944if test "${rxvt_broken_ximcb+set}" = set; then
11262 echo $ECHO_N "(cached) $ECHO_C" >&6 11945 echo $ECHO_N "(cached) $ECHO_C" >&6
11263else 11946else
11502 12185
11503fi 12186fi
11504 12187
11505if test x$support_xft = xyes; then 12188if test x$support_xft = xyes; then
11506 LIBS="$LIBS `pkg-config xft --libs`" 12189 LIBS="$LIBS `pkg-config xft --libs`"
11507 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
11508 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12190 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
11509 12191
11510 12192
11511for ac_header in X11/Xft/Xft.h 12193for ac_header in X11/Xft/Xft.h
11512do 12194do
11907cat >>confdefs.h <<\_ACEOF 12589cat >>confdefs.h <<\_ACEOF
11908#define POINTER_BLANK 1 12590#define POINTER_BLANK 1
11909_ACEOF 12591_ACEOF
11910 12592
11911fi 12593fi
11912if test x$support_cursor_blink = xyes; then
11913
11914cat >>confdefs.h <<\_ACEOF
11915#define CURSOR_BLINK 1
11916_ACEOF
11917
11918fi
11919if test x$support_text_blink = xyes; then 12594if test x$support_text_blink = xyes; then
11920 12595
11921cat >>confdefs.h <<\_ACEOF 12596cat >>confdefs.h <<\_ACEOF
11922#define TEXT_BLINK 1 12597#define TEXT_BLINK 1
11923_ACEOF 12598_ACEOF
11977#define ENCODING_ZH_EXT 1 12652#define ENCODING_ZH_EXT 1
11978_ACEOF 12653_ACEOF
11979 ;; 12654 ;;
11980 esac 12655 esac
11981done 12656done
12657
12658IF_PERL=\#
12659if test x$support_perl = xyes; then
12660 # Extract the first word of "perl5", so it can be a program name with args.
12661set dummy perl5; ac_word=$2
12662echo "$as_me:$LINENO: checking for $ac_word" >&5
12663echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12664if test "${ac_cv_path_PERL+set}" = set; then
12665 echo $ECHO_N "(cached) $ECHO_C" >&6
12666else
12667 case $PERL in
12668 [\\/]* | ?:[\\/]*)
12669 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12670 ;;
12671 *)
12672 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12673for as_dir in $PATH
12674do
12675 IFS=$as_save_IFS
12676 test -z "$as_dir" && as_dir=.
12677 for ac_exec_ext in '' $ac_executable_extensions; do
12678 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12679 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12680 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12681 break 2
12682 fi
12683done
12684done
12685
12686 ;;
12687esac
12688fi
12689PERL=$ac_cv_path_PERL
12690
12691if test -n "$PERL"; then
12692 echo "$as_me:$LINENO: result: $PERL" >&5
12693echo "${ECHO_T}$PERL" >&6
12694else
12695 echo "$as_me:$LINENO: result: no" >&5
12696echo "${ECHO_T}no" >&6
12697fi
12698
12699 # Extract the first word of "perl", so it can be a program name with args.
12700set dummy perl; ac_word=$2
12701echo "$as_me:$LINENO: checking for $ac_word" >&5
12702echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12703if test "${ac_cv_path_PERL+set}" = set; then
12704 echo $ECHO_N "(cached) $ECHO_C" >&6
12705else
12706 case $PERL in
12707 [\\/]* | ?:[\\/]*)
12708 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12709 ;;
12710 *)
12711 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12712for as_dir in $PATH
12713do
12714 IFS=$as_save_IFS
12715 test -z "$as_dir" && as_dir=.
12716 for ac_exec_ext in '' $ac_executable_extensions; do
12717 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12718 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12719 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12720 break 2
12721 fi
12722done
12723done
12724
12725 ;;
12726esac
12727fi
12728PERL=$ac_cv_path_PERL
12729
12730if test -n "$PERL"; then
12731 echo "$as_me:$LINENO: result: $PERL" >&5
12732echo "${ECHO_T}$PERL" >&6
12733else
12734 echo "$as_me:$LINENO: result: no" >&5
12735echo "${ECHO_T}no" >&6
12736fi
12737
12738
12739 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12740echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12741 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12742
12743 save_CXXFLAGS="$CXXFLAGS"
12744 save_LIBS="$LIBS"
12745 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12746 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12747 cat >conftest.$ac_ext <<_ACEOF
12748/* confdefs.h. */
12749_ACEOF
12750cat confdefs.h >>conftest.$ac_ext
12751cat >>conftest.$ac_ext <<_ACEOF
12752/* end confdefs.h. */
12753
12754#include <EXTERN.h>
12755#include <perl.h>
12756#include <XSUB.h>
12757
12758int
12759main ()
12760{
12761
12762 PerlInterpreter *perl = perl_alloc ();
12763
12764 ;
12765 return 0;
12766}
12767_ACEOF
12768rm -f conftest.$ac_objext conftest$ac_exeext
12769if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12770 (eval $ac_link) 2>conftest.er1
12771 ac_status=$?
12772 grep -v '^ *+' conftest.er1 >conftest.err
12773 rm -f conftest.er1
12774 cat conftest.err >&5
12775 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12776 (exit $ac_status); } &&
12777 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12778 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12779 (eval $ac_try) 2>&5
12780 ac_status=$?
12781 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12782 (exit $ac_status); }; } &&
12783 { ac_try='test -s conftest$ac_exeext'
12784 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12785 (eval $ac_try) 2>&5
12786 ac_status=$?
12787 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12788 (exit $ac_status); }; }; then
12789 rxvt_perl_link=yes
12790else
12791 echo "$as_me: failed program was:" >&5
12792sed 's/^/| /' conftest.$ac_ext >&5
12793
12794rxvt_perl_link=no
12795fi
12796rm -f conftest.err conftest.$ac_objext \
12797 conftest$ac_exeext conftest.$ac_ext
12798 CXXFLAGS="$save_CXXFLAGS"
12799 LIBS="$save_LIBS"
12800
12801 if test x$rxvt_perl_link = xyes; then
12802 echo "$as_me:$LINENO: result: ok" >&5
12803echo "${ECHO_T}ok" >&6
12804
12805cat >>confdefs.h <<\_ACEOF
12806#define ENABLE_PERL 1
12807_ACEOF
12808
12809 IF_PERL=
12810 PERL_O=rxvtperl.o
12811 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12812 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12813 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12814 else
12815 support_perl=no
12816 echo "$as_me:$LINENO: result: no, unable to link" >&5
12817echo "${ECHO_T}no, unable to link" >&6
12818 fi
12819 else
12820 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12821echo "$as_me: error: no working perl found" >&2;}
12822 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12823 support_perl=no
12824 fi
12825fi
12826
12827
12828
12829
12830
12831
11982 12832
11983 12833
11984CFLAGS=${CFLAGS--O} 12834CFLAGS=${CFLAGS--O}
11985LDFLAGS=${LDFLAGS--O} 12835LDFLAGS=${LDFLAGS--O}
11986 12836
12767s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13617s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
12768s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13618s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
12769s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13619s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
12770s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13620s,@rxvt_intp_define@,$rxvt_intp_define,;t t
12771s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13621s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13622s,@PERL@,$PERL,;t t
13623s,@PERLLIB@,$PERLLIB,;t t
13624s,@PERLFLAGS@,$PERLFLAGS,;t t
13625s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13626s,@IF_PERL@,$IF_PERL,;t t
13627s,@PERL_O@,$PERL_O,;t t
12772s,@DEBUG@,$DEBUG,;t t 13628s,@DEBUG@,$DEBUG,;t t
12773s,@DINCLUDE@,$DINCLUDE,;t t 13629s,@DINCLUDE@,$DINCLUDE,;t t
12774s,@DLIB@,$DLIB,;t t 13630s,@DLIB@,$DLIB,;t t
12775s,@include_stdint_h@,$include_stdint_h,;t t 13631s,@include_stdint_h@,$include_stdint_h,;t t
12776s,@include_stdarg_h@,$include_stdarg_h,;t t 13632s,@include_stdarg_h@,$include_stdarg_h,;t t
13317 utmp file: $rxvt_cv_path_utmp 14173 utmp file: $rxvt_cv_path_utmp
13318 utmpx file: $rxvt_cv_path_utmpx 14174 utmpx file: $rxvt_cv_path_utmpx
13319 wtmp file: $rxvt_cv_path_wtmp 14175 wtmp file: $rxvt_cv_path_wtmp
13320 wtmpx file: $rxvt_cv_path_wtmpx 14176 wtmpx file: $rxvt_cv_path_wtmpx
13321 lastlog file: $rxvt_cv_path_lastlog 14177 lastlog file: $rxvt_cv_path_lastlog
13322 ttys/ttytab file: $rxvt_cv_path_ttytab" 14178 ttys/ttytab file: $rxvt_cv_path_ttytab
14179 embedded perl: $support_perl"
13323 echo 14180 echo
13324fi 14181fi
13325if test x$term != x; then 14182if test x$term != x; then
13326 echo " set TERM to: $term" 14183 echo " set TERM to: $term"
13327fi 14184fi
13356 echo ". functions could not be found. ." 14213 echo ". functions could not be found. ."
13357 echo ". XIM is now being DISABLED! ." 14214 echo ". XIM is now being DISABLED! ."
13358 echo ".----------------------------------------------------------------." 14215 echo ".----------------------------------------------------------------."
13359fi 14216fi
13360 14217
13361echo " *** Please check src/feature.h for further options ***" 14218echo " *** Optionally check src/feature.h for further options ***"
13362echo 14219echo
13363 14220
13364echo ".----------------------------------------------------------------." 14221echo ".----------------------------------------------------------------."
13365echo ". NOTE: most features are disabled by default, try ." 14222echo ". NOTE: some features are disabled by default, try ."
13366echo ". configure --help to get an idea of the optional features ." 14223echo ". configure --help to get an idea of the optional features, ."
14224echo ". or read ./README.configure ."
14225echo ". ."
14226echo ". The script ./reconf gives a reasonable baseline, try it if ."
14227echo ". you do not want to read documentation and still want some ."
14228echo ". useful features. ."
13367echo ".----------------------------------------------------------------." 14229echo ".----------------------------------------------------------------."
13368echo 14230echo
13369 14231

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines